$yellow: #ffc107
$purple: #7B1FA2
$deeppurple: #512DA8
$navbordercolor: #A86F9B
$navbackgroundcolor: #2B0A35
$navmenucolor: #F1B791
$taglinebackgroundcolor: #2B0A35
$bodybackground: #FAFCCE
$amber: #FFA000
$logoX: #C66812
$bordercolor: #F2762D
$contactbordercolor: #2C26A9
$logo: "assets/images/logo3.png"
$prompt: 'Prompt', sans-serif
$orbitron: 'Orbitron', sans-serif

*
	box-sizing: border-box
	margin: 0
	padding: 0
	font-family: $prompt
//	font-size: 1.1vw
//font-family: 'Prompt', sans-serif
//font-family: 'Orbitron', sans-serif
//font-family: 'Yantramanav', sans-serif


body
	padding-top: 2em
// background-color: white
// background-image: url('../images/pngtree-illustration-landscape-city-%u200B%u200Bbuilding-city-image_4279.jpg')
// background-repeat: no-repeat
// background-size: 100%
// background-size: cover


nav, footer
	background-color: $navbackgroundcolor
	font-size: 1.1vw
// border: 3px solid $navbordercolor
// color: $navmenucolor

// match section p tagline
.match-p
	font-size: 2.5vw

//cover image
.cover-image
	object-fit: cover


//cover caption
.caption-cover,
.animate-container1,
.animate-container2
	position: absolute
	left: 50%
	top: 50%
	transform: translate(-50%, -50%)
	width: 40%
	height: 50%
	padding: 20px
	background: transparent
	color: white
	text-align: center
	font-size: 2.5em
//	box-shadow: 0 0 30px rgba(0, 0, 0, 0.2)

//logo X char
.logox
	color: $logoX
	font-size: 2em
	margin: 0 3px
	dipslay: inline-block

//logo text
.logotext
	font-size: 1em
	font-family: $orbitron


//Home page eXchangium font
.intro
	font-family: $orbitron

//Animate Logo
.animate-logotext
	color: black
	font-size: .3em

.animate-fas
//font-family: $orbitron
	color: black
	font-size: 1em

.animate-logox
	font-family: $orbitron
	color: $logoX
	font-size: 1em


//eXchangium logo image
.fas
	color: $logoX
	font-size: 1.8em
	margin: 0 8px

//the X
.x
	color: $logoX
	font-size: 30px
	font-family: $orbitron

//card border
.card
	border: 5px solid $bordercolor

// tagline
.card-tagline
	background-color: $taglinebackgroundcolor
	border: 5px solid $taglinebackgroundcolor

//card title
.card-title
	font-size: 2vw

// card texts
.card-text
	font-size: 1.5vw


//contact border color
//.contact-border
//border: 5px solid $contactbordercolor

#map-wrapper
	overflow: hidden

p
	line-height: 1.5

.list-group-item.active
	background-color: $yellow
	border-color: $yellow

//mobile
@media only screen and (max-width: 550px)
	.caption-cover
		position: absolute
		left: 45%
		top: 73%
		transform: translate(-50%, -50%)
		width: 90%
		height: 90%
		padding: 20px
		background: transparent
		color: white
		text-align: center
		font-size: 1em
	.logox
		color: $logoX
		font-size: 1.5em
		margin: 0 3px
	.fas
		color: $logoX
		font-size: 1em
		margin-right: 3px
	.logotext
		font-size: 1em
		font-family: $orbitron
	.contact-us-cover-btn
		padding: 3px 5px
		font-size: .7em
	.animate-container1
		position: absolute
		left: 50%
		top: 30%
		transform: translate(-50%, -50%)
		width: 100%
		height: 65%
		padding: 20px
		background: transparent
		color: white
		text-align: center
		font-size: 2em
	.animate-logotext
		color: black
		font-size: .7em
	.animate-fas
		color: $logoX
		font-size: 1.4em
	.animate-logox
		font-family: $orbitron
		color: $logoX
		font-size: 1.7em
	body
		padding-top: 3em
		background: $bodybackground
//$bodybackground

//tablet
@media only screen and (min-width: 550px) and (max-width: 960px)
	#cover-img
		width: 150%
	.caption-cover
		position: absolute
		left: 50%
		top: 70%
		transform: translate(-50%, -50%)
		width: 90%
		height: 50%
		padding: 0
		background: transparent
		color: white
		text-align: center
		font-size: 1.8em
	.logox
		color: $logoX
		font-size: 2em
		margin: 0 3px
		dipslay: inline-block
	.fas
		color: $logoX
		font-size: 1.8em
		margin-right: 3px
	.logotext
		font-size: 1em
		font-family: $orbitron
	.contact-us-cover-btn
		padding: 5px 8px
		font-size: .5em
	.animate-container1
		position: absolute
		left: 50%
		top: 30%
		transform: translate(-50%, -50%)
		width: 90%
		height: 50%
		padding: 20px
		background: transparent
		color: white
		text-align: center
		font-size: 2.3em
	.animate-logotext
		color: black
		font-size: 1em
	.animate-fas
		color: $logoX
		font-size: 1.4em
	.animate-logox
		font-family: $orbitron
		color: $logoX
		font-size: 1.8em
	body
		padding-top: 3em
		background: $bodybackground
//$bodybackground

//laptop
@media only screen and (min-width: 961px) and (max-width: 2200px)
	#cover-img
		width: 150%
	.caption-cover
		position: absolute
		left: 50%
		top: 73%
		transform: translate(-50%, -50%)
		width: 85%
		height: 50%
		padding: 0
		background: transparent
		color: white
		text-align: center
		font-size: 3.2em
	.logox
		color: $logoX
		font-size: 2em
		margin: 0 3px
		dipslay: inline-block
	.fas
		color: $logoX
		font-size: 1.8em
		margin-right: 3px
	.logotext
		font-size: 1em
		font-family: $orbitron
	.contact-us-cover-btn
		padding: 10px 18px
		font-size: .45em
	.animate-container1
		position: absolute
		left: 50%
		top: 30%
		transform: translate(-50%, -50%)
		width: 90%
		height: 50%
		padding: 20px
		background: transparent
		color: white
		text-align: center
		font-size: 2.5em
	.animate-logotext
		color: black
		font-size: 1.3em
	.animate-fas
		color: $logoX
		font-size: 1.5em
	.animate-logox
		font-family: $orbitron
		color: $logoX
		font-size: 2em
	body
		padding-top: 3em
		background: $bodybackground
//$bodybackground

//big screen
@media only screen and (min-width: 2201px)
	#cover-img
		width: 150%
	.caption-cover
		position: absolute
		left: 50%
		top: 65%
		transform: translate(-50%, -50%)
		width: 85%
		height: 50%
		padding: 0
		background: transparent
		color: white
		text-align: center
		font-size: 7em
	.logox
		color: $logoX
		font-size: 2em
		margin: 0 3px
		dipslay: inline-block
	.fas
		color: $logoX
		font-size: 1.8em
		margin-right: 3px
	.logotext
		font-size: 1em
		font-family: $orbitron
	.contact-us-cover-btn
		padding: 10px 18px
		font-size: 0.5em
	.animate-container1
		position: absolute
		left: 50%
		top: 30%
		transform: translate(-50%, -50%)
		width: 65%
		height: 50%
		padding: 20px
		background: transparent
		color: white
		text-align: center
		font-size: 2.5em
	.animate-logotext
		color: black
		font-size: 2.8em
	.animate-fas
		color: $logoX
		font-size: 1.5em
	.animate-logox
		font-family: $orbitron
		color: $logoX
		font-size: 2em
	body
		padding-top: 3em
		background: $bodybackground
//$bodybackground




//animate slide distance maniluplation
// @keyframes slideInRight
// 	from
// 		transform: translate3d(106px, 0, 0)

// @keyframes slideInLeft
// 	from
// 		transform: translate3d(-100px, 0, 0)


// ref animation distance manipulation
// animate inline span
// https://stackoverflow.com/questions/37730284/css-animation-not-working-on-span-with-animate-css
// distance using keyframes
// https://github.com/daneden/animate.css/issues/559

